Use ErrorContext instead of string FnName

16 Mar 2024 11:06 - John Abbott

Status: In Progress Start date: 16 Mar 2024

Priority: Normal Due date:  

Assignee:  % Done: 60%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 3.50 hours

Description

There is now a class ErrorContext and macro CoCoA_ERROR_CONTEXT for recording:

function name

file name

line number

Consider using ErrorContext instead of a string for FnName.

NB C++20 seems to offer an official version of ErrorContext

Related issues:

Related to CoCoALib - Bug #1726: Dangling references to temporaries Closed 08 Mar 2023

Related to CoCoALib - Design #1792: CpuTimeOut: arg of type ErrorContext? New 15 Mar 2024

Related to CoCoALib - Design #582: Error codes: use same code for "not poly r... New 07 Jul 2014

History

#1 - 16 Mar 2024 11:07 - John Abbott

- Related to Bug #1726: Dangling references to temporaries added

#2 - 16 Mar 2024 11:11 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 60

While resolving issue #1726 I needed to call some arg-check functions specifying where in the source the arg-check was called.

By chance I noticed that we have ErrorContext and the macro (since when?  Is there any doc?)

I have modified most calls, but left the old code sommented out -- hope to delete in a couple of weeks.

See also documentation about std::source_location for instance at the following link

https://en.cppreference.com/w/cpp/utility/source_location

#3 - 16 Mar 2024 11:14 - John Abbott

- Related to Design #1792: CpuTimeOut: arg of type ErrorContext? added

#4 - 21 Mar 2024 20:22 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#5 - 26 Mar 2024 11:50 - Anna Maria Bigatti

Added also to NewFreeModuleForSyz.

#6 - 26 Mar 2024 14:37 - Anna Maria Bigatti

28 Apr 2024 1/2

https://cocoa.dima.unige.it/redmine/issues/1726


- Related to Design #582: Error codes: use same code for "not poly ring" and "not elem poly ring" added

Powered by TCPDF (www.tcpdf.org)

28 Apr 2024 2/2

http://www.tcpdf.org

